<?php
/**
 * Header file for the Dolpa WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Dolpa
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if( function_exists('wp_body_open') ){
    wp_body_open();
}

$dolpa_default = dolpa_get_default_theme_options();
if( is_page_template('templates/template-aside-metro.php') ){

    $template_aside_full_ed   = get_theme_mod( 'template_aside_metro_banner_ed',$dolpa_default['template_aside_metro_banner_ed'] );

}elseif( is_page_template('templates/template-aside-lateral.php') ){

	$template_aside_full_ed = get_theme_mod( 'template_aside_lateral_banner_ed',$dolpa_default['template_aside_lateral_banner_ed'] );

}else{

	$template_aside_full_ed = get_theme_mod( 'template_aside_default_banner_ed',$dolpa_default['template_aside_default_banner_ed'] );

}
$ed_preloader = get_theme_mod( 'ed_preloader',$dolpa_default['ed_preloader'] );
if( $ed_preloader ){ ?>

	<div class="preloader hide-no-js">
	    <div class="preloader-style preloader-style-1"></div>
	</div>

<?php } ?>

<div id="page" class="page-wrapper <?php if( !$template_aside_full_ed ){ ?>page-wrapper-full<?php } ?>">
<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to the content', 'dolpa'); ?></a>

<?php
$dolpa_default = dolpa_get_default_theme_options();
$dolpa_header_layout = get_theme_mod( 'dolpa_header_layout', $dolpa_default['dolpa_header_layout'] );
get_template_part( 'template-parts/header/header', $dolpa_header_layout ); ?>

<?php dolpa_template_banner(); ?>

<?php
$dolpa_post_layout = '';
$dolpa_default = dolpa_get_default_theme_options();
if( is_singular() ){

    $dolpa_post_layout = get_post_meta( $post->ID, 'dolpa_post_layout', true );
    if( $dolpa_post_layout == '' || $dolpa_post_layout == 'global-layout' ){
        
        $dolpa_post_layout = get_theme_mod( 'dolpa_single_post_layout',$dolpa_default['dolpa_archive_layout'] );
    }

}

if ( dolpa_check_woocommerce_page() || ( $dolpa_post_layout != 'layout-2' && !is_front_page() && !is_page_template('templates/template-cover.php') && !is_page_template('templates/template-slider.php') && !is_page_template('templates/template-carousel.php') ) ) { ?>
    <div class="theme-breadcrumbs">
        <div class="wrapper">
            <div class="wrapper-inner">
                <div class="column column-12">
                    <?php dolpa_breadcrumb(); ?>
                </div>
            </div>
        </div>
    </div>
<?php } ?>

<div id="content" class="site-content">

<?php dolpa_header_banner(); ?>